#include <bits/stdc++.h>
using namespace std;
int a[1000000];
int n, x;
main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n>>x;
    for(int i=0; i<n; i++)
        cin>>a[i];
    int v=a[0], m=a[0];
    for(int i=1; i<n; i++)
    {
        if(a[i]<m)
            m=a[i];
        if(a[i]>v)
            v=a[i];
    }
    if(x<m)
        m=x;
    if(x>v)
        v=x;
    if(x-m<v-x)
        cout<<2*(x-m)+v-x;
    else
        cout<<x-m+2*(v-x);
}